Bug 16709

Summary: [3.20.x] Bug 11038 is not applied correctly
Product: Koha Reporter: Julian Maurice <julian.maurice>
Component: Staff ClientAssignee: Julian Maurice <julian.maurice>
Status: CLOSED FIXED QA Contact: Testopia <testopia>
Severity: trivial    
Priority: P5 - low CC: chris, gmcharlt
Version: 3.20   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: ---
Who signed the patch off: Text to go in the release notes:
Version(s) released in:
Bug Depends on: 11038    
Bug Blocks:    
Attachments: Bug 16709: Followup of bug 11038 for 3.20.x only
Bug 16709: Followup of bug 11038 for 3.20.x only
Bug 16709: Followup of bug 11038 for 3.20.x only

Description Julian Maurice 2016-06-10 14:45:44 UTC
It seems there was a problem during the application of bug 11038 on 3.20.x.

The commit 32bc47f6d488f3f2d81a234c029219d5861cf338 add this line in C4/Auth.pm:
  +        IntranetUserJS => C4::Context->preference("IntranetUserJS"),

instead of:
  +        IntranetUserCSS => C4::Context->preference("IntranetUserCSS"),

And a line that had to be removed is still there in 3.20.x
Comment 1 Julian Maurice 2016-06-10 14:49:02 UTC Comment hidden (obsolete)
Comment 2 Julian Maurice 2016-06-10 14:50:47 UTC
Test plan:
1. Modify IntranetUserCSS and check that changes are not applied to the staff login page
2. Apply patch
3. Check that your changes are now applied to the staff login page
4. Check in the DOM that the IntranetUserCSS code only appear once
Comment 3 Frédéric Demians 2016-06-15 10:26:06 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2016-06-19 11:08:31 UTC
Created attachment 52533 [details] [review]
Bug 16709: Followup of bug 11038 for 3.20.x only

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
  Good catch, bad bug

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Amended patch: remove space and apply same order than in master (CSS then
JS)
Comment 5 Chris Cormack 2016-06-20 20:28:49 UTC
Pushed to 3.20.x will be in 3.20.11